/*
#include <config.h>
#include <math.h>
#include <gsl/gsl_math.h>
#include <gsl/gsl_complex.h>
#include <gsl/gsl_complex_math.h>
*/

#include "cplx_GSL.h"

/**********************************************************************
 * conversions: complex types
 **********************************************************************/

complex
gsl2wrap (gsl_complex z)
{
  complex wz;
	wz.re=GSL_REAL (z);
	wz.im=GSL_IMAG (z);
  return wz;
}

gsl_complex
wrap2gsl (complex wz)
{
  gsl_complex z;
	GSL_SET_COMPLEX (&z, wz.re, wz.im);
  return z;
}

/**********************************************************************
 * conversions: sf_results
 **********************************************************************/